.NetworkView {
  display: flex;
  flex-direction: column;
}
.NetworkView svg {
  background: white;
  flex-grow: 1;
  height: 0;
}

.NetworkView .node {
  /* help with node selection */
  stroke-width: 6;
  stroke: transparent;
}
.NetworkView .node text, .NetworkView .link text {
  font-family: sans-serif;
  font-size: 10px;
  text-anchor: middle;
  stroke: none;
  display: none;
  text-shadow: -1px -1px white, -1px 1px white, 1px 1px white, 1px -1px white, -1px 0 white, 0 1px white, 1px 0 white, 0 -1px white;
  pointer-events: none;
}
.NetworkView .selected.node text, .NetworkView .selected.link text {
  display: inline;
}

.NetworkView .link *, .NetworkView .preview_line {
  vector-effect: non-scaling-stroke;
}

.NetworkView .link .foreground {
  stroke: black;
  opacity: 0.3;
  stroke-width: 2;
  fill: none;
}

.NetworkView .link .background {
  /* help with node selection */
  stroke: transparent;
  stroke-width: 6;
  fill: none;
}

.NetworkView .preview_line {
  stroke: red;
  opacity: 0.4;
  stroke-width: 2;
  fill: none;
  pointer-events: none;
}

.NetworkView .selected.node {
  fill: blue;
  stroke: rgba(0,0,255,0.1);
}
.NetworkView .selected.link .foreground {
  stroke: blue;
}
.NetworkView .selected.link .background {
  stroke: rgba(0,0,255,0.1);
}
.NetworkView .selected.link text {
  fill: blue;
}